Bug 1414817 - [RFE] ability to disable and remove workspace switcher from gnome 3
Summary: [RFE] ability to disable and remove workspace switcher from gnome 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell-extensions
Version: 7.3
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 14:35 UTC by Joe Wright
Modified: 2020-06-11 13:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 22:44:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 777496 0 Normal RESOLVED [RFE] ability to disable and remove workspace switcher from gnome 3 2020-12-20 16:21:23 UTC
GNOME Bugzilla 777504 0 Normal RESOLVED window-list: Hide workspace indicator when there's 1 workspace 2020-12-20 16:21:25 UTC
Red Hat Knowledge Base (Solution) 2881051 0 None None None 2017-01-19 14:44:13 UTC
Red Hat Product Errata RHBA-2017:2098 0 normal SHIPPED_LIVE gnome-shell-extensions, gnome-shell, mutter bug fix and enhancement update 2017-08-01 19:36:42 UTC

Comment 12 Michael Boisvert 2017-05-11 14:45:50 UTC
When I run:
 $ dconf write /org/gnome/desktop/wm/preferences/num-workspaces 1

It causes gnome-shell to crash on a slightly slower Lenovo T430. Changing the workspaces to 1 in tweak tool does not exhibit this behavior. On a slightly more powerful machine, the same crash does not occur. It does take 5-6 seconds to recover, however.

Comment 13 Florian Müllner 2017-05-12 13:19:39 UTC
(In reply to Michael Boisvert from comment #12)
> When I run:
>  $ dconf write /org/gnome/desktop/wm/preferences/num-workspaces 1

Does the same happen if you use
  $ gsettings set org.gnome.desktop.wm.preferences num-workspaces 1
instead?


> It causes gnome-shell to crash on a slightly slower Lenovo T430. [...] On a
> slightly more powerful machine, the same crash does not occur. It does take
> 5-6 seconds to recover, however.

That suggests a race condition in mutter - if you get a backtrace I can take a look.

Comment 14 Michael Boisvert 2017-05-12 14:28:01 UTC
(In reply to Florian Müllner from comment #13)
> (In reply to Michael Boisvert from comment #12)
> > When I run:
> >  $ dconf write /org/gnome/desktop/wm/preferences/num-workspaces 1
> 
> Does the same happen if you use
>   $ gsettings set org.gnome.desktop.wm.preferences num-workspaces 1
> instead?
> 
> 
> > It causes gnome-shell to crash on a slightly slower Lenovo T430. [...] On a
> > slightly more powerful machine, the same crash does not occur. It does take
> > 5-6 seconds to recover, however.
> 
> That suggests a race condition in mutter - if you get a backtrace I can take
> a look.

Running: $ gsettings set org.gnome.desktop.wm.preferences num-workspaces 1 works perfectly.

Comment 15 Michael Boisvert 2017-06-06 20:58:08 UTC
Switching this to verified.

Comment 16 errata-xmlrpc 2017-08-01 22:44:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2098


Note You need to log in before you can comment on or make changes to this bug.